OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.OcclusionQuery

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_occlusion_query not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/occlusion_query.txt.

Synopsis

- glGenOcclusionQueries :: GLsizei -> Ptr GLuint -> IO ()
- glDeleteOcclusionQueries :: GLsizei -> Ptr GLuint -> IO ()
- glIsOcclusionQuery :: GLuint -> IO ()
- glBeginOcclusionQuery :: GLuint -> IO ()
- glEndOcclusionQuery :: IO ()
- glGetOcclusionQueryiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetOcclusionQueryuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
- gl_OCCLUSION_TEST :: GLenum
- gl_OCCLUSION_TEST_RESULT :: GLenum
- gl_PIXEL_COUNTER_BITS :: GLenum
- gl_CURRENT_OCCLUSION_QUERY_ID :: GLenum
- gl_PIXEL_COUNT :: GLenum
- gl_PIXEL_COUNT_AVAILABLE :: GLenum

# Functions

glGenOcclusionQueries :: GLsizei -> Ptr GLuint -> IO ()Source

glDeleteOcclusionQueries :: GLsizei -> Ptr GLuint -> IO ()Source

glIsOcclusionQuery :: GLuint -> IO ()Source

glBeginOcclusionQuery :: GLuint -> IO ()Source

glEndOcclusionQuery :: IO ()Source

glGetOcclusionQueryiv :: GLuint -> GLenum -> Ptr GLint -> IO ()Source

glGetOcclusionQueryuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()Source

# Tokens

gl_OCCLUSION_TEST :: GLenum Source

gl_OCCLUSION_TEST_RESULT :: GLenum Source

gl_PIXEL_COUNTER_BITS :: GLenum Source

gl_CURRENT_OCCLUSION_QUERY_ID :: GLenum Source

gl_PIXEL_COUNT :: GLenum Source

gl_PIXEL_COUNT_AVAILABLE :: GLenum Source